XSLT 3.0 changes post Last Call
===============================

2014-01-16
----------

Bug 24098 - editorial. DONE.

Bug 24109 - xsl:variable/@as effect on streaming. Change accepted. DONE.

Bug 24078 - typo. DONE.

2014-01-23
----------

Bug 23944 - decided to go with option B. DONE draft R 2014-01-28

Bug 24136 - change accepted. DONE draft R 2014-01-28

Bug 24142 - proposed changes in comments 0 and 1 accepted DONE draft R 2014-01-28


2014-01-30
----------

Bug 24140 - xsl:copy type errors. change accepted. DONE draft R 

Bug 24179 - decided to move on-completion to precede the sequence constructor. DONE draft R 

Bug 24267 - streamability of union of climbing operands. accepted. DONE draft R 

EDITORIAL
---------

Bug 24290 - "overlap" - fixed editorially DONE draft R 2014-01-28

Bug 24237 - suppress-indentation - fixed editorially DONE draft R 2014-01-29

Bug 24498 - allowed parents of xsl:fallback - DONE draft R 2014-02-05

Bug 24552 - list of objects that have QNames - DONE draft R 2014-02-06

Bug 24537 - both operands striding or crawling - DONE draft R 2014-02-06

2014-02-10 (F2F Prague)
-----------------------

Bug 24073 - fn:trace() accepted DONE Draft R 2014-02-11 (in 3.0 function catalog; no change markings).

Updated the 3.0 function catalog, but the data has not been moved to the 3.1 catalog. It would be better to capture it in a separate file.

Bug 24108 - fn:deep-equal() accepted (editorial) TODO 

Bug 24125 - Action on editor to draft a note. TODO 

Bug 24144 - streamable attribute sets - accepted DONE Draft R 2014-02-11

Bug 24173 - more precise type info. DONE Draft R 2014-02-11

Bug 24234 - defaults for xsl:mode; accepted. DONE Draft R 2014-02-11

Bug 24235 - action on editor to propose definitions. DONE Draft R 2014-02-18

Bug 24307 - resolved. DONE Changes applied Draft R 2014-02-11, bug not closed subject to review.

Bug 24308 - overrides of template rules - action on editor to produce proposal. PROPOSAL MADE in Bugzilla.

Bug 24309 - xsl:include/import. Resolved. DONE Draft R 2014-02-11

Bug 24310 - make it clear that we can't do import/include of an xsl:package . DONE Draft R 2014-02-17

Bug 24342 - essentially, rule 4 means "Otherwise (if 1a or 2a or 3a is satisfied)...", and then the final otherwise
becomes rule 5. But can probably organize it better. DONE Draft R 2014-02-17

Bug 24343 - agreed modulo choice of attribute names. (for-each, for-document, for-collection???) PROPOSAL MADE. Accepted, including adding type/validation
attribute, and making it applicable to both for-each-item and for-each-stream. DONE Draft R 2014-02-20

Bug 24378 - on-empty on more instructions - decided to have it on fewer instead. Remains open. DONE.

Bug 24436 - JSON example - editorial. DONE Draft R 2014-02-20

Bug 24438 - decided to disallow xsl:stylesheet/xsl:use-package. DONE Draft R 2014-02-11.

Bug 24455 - appears to be a Saxon bug, the rules are OK, but we could add a Note of explanation. It also seems that as well
as ignoring the sequence constructor, we can also ignore other higher-order operands including the xsl:sort and the group-adjacent. DONE.

Bug 24456 - itemtype-subtype - accepted. DONE Draft R 2014-02-14.

Bug 24466 - link targets - DONE Draft R 2014-02-24 (no change highlighting).

Bug 24478 - scope of static variables. DONE Draft R 2014-03-24 (might benefit from WG review).

Bug 24491 - need to make operand usage of xsl:variable@select (and the SC) type-determined. Already done under 24109, no further action needed. DONE Draft R 2014-02-14.

Bug 24493 - need references from 19.10 to the five sections referred to. And perhaps have a "START HERE" indicator at the beginning of section 19? 
DONE Draft R 2014-02-16.

Bug 24494 - editorial - see if the text can be improved. DONE. No change; marked as duplicate of 24493.

Bug 24495 - editor to produce proposal DONE Draft R 2014-02-16, NEEDS WG APPROVAL.

Bug 24496 - editor to produce proposal DONE: propose closing as WONTFIX. Overturned 2014-03-06, see below

Bug 24497 - streamability of xsl:merge - Editor to produce proposal. DONE, ready for WG review.

Bug 24499 - purely editorial, editor to fix. DONE Draft R 2014-02-14 (no change marking).

Bug 24500 - editor's proposal needed. DONE - proposal ready for WG review.

Bug 24501 - resolved. DONE Draft R 2014-02-14.

Bug 24502 - resolved. DONE Draft R 2014-02-14.

Bug 24503 - editor's discretion. DONE Draft R 2014-02-16.

Bug 24504 - editor's discretion. DONE Draft R 2014-02-16.

Bug 24505 - xsl:fallback streamability. Resolved. DONE Draft R 2014-02-14.

Bug 24508 - perhaps "If there is exactly one child xsl:sequence instruction S such that S is not grounded or S is not motionless..."
The difficulty can be resolved by reordering the rules. DONE Draft R 2014-02-16

Bug 24509 - Classifying patterns, see notes in bugzilla. Awaiting further WG review. CLOSED.

Bug 24510 - needs a proposal to drop binding variables. DONE, proposal ready for WG review.

Bug 24512 - Streamability of extension functions. Resolved. DONE Draft R 2014-02-16.

Bug 24513 - should say why system-property is context-dependent (namespaces). DONE Draft R 2014-02-16

Bug 24521 - xsl:evaluate - core functions - resolved DONE Draft R 2014-02-22

Bug 24522 - resolved - DONE Draft R 2014-02-17

Bug 24524 - needs proposal. Make this dependent on 24510 - scrapping bind-group and bind-grouping-key? DONE

Bug 24525 - xsl:message - DONE Draft R 2014-02-17

Bug 24527 - xsl:assert - DONE Draft R 2014-02-17

Bug 24528 - we're leaning towards deciding that streamability rule 4 on xsl:number is not needed, the patterns are irrelevant. CLOSED.

Bug 24529 - default of xsl:context-item/@use. resolved - DONE Draft R 2014-02-14.

Bug 24530 - streamability rules for xsl:map. resolved - editor's discretion - DONE Draft R 2014-02-17

Bug 24531 - no substantive change but some of the explanation in comment 1 could usefully go in the spec.  DONE Draft R 2014-02-14.

Bug 24532 - no action needed.

Bug 24533 - streamability of inline function declarations. Resolved - DONE Draft R 2014-02-14.

Bug 24534 - resolved LATER, no action.

Bug 24535 - editor to examine these cases, see if the answer is obvious, push back if not, see if there are any other such cases. DONE Draft R 2014-02-24..

Bug 24536 - resolved. Operands of a binary operator should be left/right, not first/second. TODO. DONE but check 2014-02-12

Bug 24538 - initiation using xsl:merge. Resolved - DONE Draft R 2014-02-14.

Bug 24539 - errors XTSE3340 and XTDE0060. Resolved - DONE Draft R 2014-02-14.

Bug 24540 - editor's discretion. Note, the statement there are "two basic kinds of pattern" is not very accurate, and the syntax .[Expr] is not accurate either.
Some people wanted "predicate pattern" as a defined term.  DONE Draft R 2014-02-24.

Bug 24541 - expand the text in the intro to 19.8.7 to explain the impact on Kindtests, path expressions etc. DONE Draft R 2014-02-16.

Bug 24542 - noted we could generalize rule 3 in 19.8.7.7 to cover cases where the nodekind cannot select anything, e.g. child::attribute().
- DONE Draft R 2014-02-16

Bug 24543 - accepted comment #1. REOPENED with pushback.

Bug 24545 - favoured option (f): remove xsl:mode/@initial. Implications need working through. Proposal in Bugzilla, awaiting WG action.

Bug 24546 - no action

Bug 24547 - Initialization of accumulators. 
yes, we need to add this rule. Note the corresponding rule for global variables is at the end of 6.6.1. Some cross-reference would be useful. 
(Note also the reference in 6.6.1 to initial="yes" which we are dropping). XTSE0548 can't be detected statically if the relevant global variable is in a different
package from the streaming mode declaration. partially DONE, but bug remains open for further discussion.

Note to self: do we have an issue if there are non-streamable accumulators in a stylesheet that uses streaming?

Bug 24548 - editorial, fix it. DONE Draft R 2014-02-16.

Bug 24549. 2.3.2, priming: note is wrong, stylesheet params in different packages never have the same name. Second para, relationship of initial context item to initial input,
what about the rule that the context for global variables is the root node of the tree containing the initial context item? DONE Draft R 2014-02-21.

Bug 24550 - editorial, fix it. DONE Draft R 2014-02-14.

Bug 24551 - base-output-uri() - editor to produce proposal. Action complete; pushed back on the proposal.

Bug 24553 - editorial clarification, DONE Draft E 2014-02-14.

Bug 24554 - editorial, do it. DONE Draft R 2014-02-16.

Bug 24596 - no action.

Bug 24606 - no action. (LATER).

Bug 24618 - editorial DONE Draft R 2014-02-16.

Bug 24621 - accepted DONE Draft R 2014-02-16.

Note error 3370 is overloaded. - TODO

TELCON 2014-02-27
=================

Bug 24308 - overrides of template rules - proposal accepted with changes. DONE Draft R 2014-02-27

Bug 24495 - accepted as amended (xsl:try: should say motionless AND GROUNDED). DONE Draft R 2014-02-27.

TELCON 2014-03-06
=================

Bug 24496 - streamability of try/catch. Proposal accepted. DONE. Changes applied. Bug not updated. Mailed Abel to ask, can we now
handle xsl:try using the GSRs?

Bug 24497 - xsl:merge - Proposal in Comment 2 is accepted (but needs a bit of rephrasing in the third
** item - If neither...). DONE Draft R 2014-03-07.

Bug 24500 - dynamic function calls - proposed changes in comment 2 accepted - DONE Draft R 2014-03-07.

Bug 24510 - drop bind-XX variables - action on editor to propose detailed wording changes. DONE, proposal in bugzilla.

Bug 24545 - Drop xsl:mode/@initial - proposal in comment 3 accepted. DONE Draft R 2014-03-07.

TELCON 2014-03-13
=================

No actions

TELCON 2014-03-20
=================

Bug 24266 - Allow XSLT 3.0 with XPath 3.1 - Action on MK to produce wording proposal. DONE

Bug 24344 - exponent-separator. Accepted. DONE Draft R 2014-03-21.

Bug 24651 - operand usage of accumulator-before / -after. We should require the argument to be motionless. Action MK to propose wording. DONE

Bug 24690 - references to initial-template. Editorial, accepted, DONE.

Bug 24726 - map:new - no decision today, revisit.

TELCON 2014-03-27
=================

Bug 24744 - reinstate map:size(). agreed DONE

Bug 24864 - agreed. Use XTDE0700. DONE

Bug 25000 - Type error for MapExpr keys. agreed. DONE

Bug 24999 - fn:put() in example. Agreed. DONE

Bug 24970 (core functions) agreed. DONE.

TELCON 2014-04-10
=================

Fix XSLT 2.0 post-PER errata E38-E51. DONE

Bug 24510 - drop bind-XX variables in xsl:for-each-group and xsl:merge. DONE

TELCON 2014-04-17
=================

Bug 24569 - U-types. Agreed to make the changes. DONE


TELCON 2014-04-24
=================

Bug 23594 - Reference to RFC7159 for JSON specification. DONE.

Bug 24266 - XPath version. Agreed, DONE.

Bug 24764 - Detailed proposal needed. TODO.

Bug 24968 - Editorial, DONE BUT NOT IN CHANGE LIST

Bug 25158 - Write up a textual proposal. DONE.

TELCON 2014-05-01
=================

No decisions.

TELCON 2014-05-08
=================

Bug 25679 - Streamable stylesheet functions. DONE.

Bug 24726 comment#5, but with inclusion of
map:entry, pending XQWG acceptance. REFERRED TO XQUERY WG. Approved by XQuery WG.

Bug 23594, comment#8 (reopened), editorial. DONE.

TELCON 2014-05-15
=================

Bug 25611 - Decided to disallow global context item in library packages. DONE.

Bug 24524 - xsl:iterate streamability - accepted. DONE.

Bug 24547 - accumulators - accepted. DONE.

Bug 24764 - already done. DONE.

Bug 24619 - static AVTs. Accepted (underscore-prefixed attribute names). DONE.

Bug 25173 - accepted in principle, awaiting detailed proposal from Abel. stream-available() returns true if you can read the resource and parse it at least
as far as the end of the first element start tag. CLOSED.

Bug 25185 - allow atomization of crawling expressions - action to write it up. DONE.

TELCON 2014-05-22
=================

Bug 25173 - accepted. DONE.

Bug 25185 - accepted in principle, editing work needed. DONE.

Bug 24500 - accepted. DONE PREVIOUSLY.

Search for "TODO: NEEDS REVISION" for some text that needs to be updated to handle streamable functions.

TELCON 2014-06-05
=================

Bug 24317 - accepted. DONE.

Bug 24506 - accepted. DONE.

Bug 24528 - accepted. DONE.

TELCON 2014-07-10
=================

Bug 24512 Streamability of dynamic/inline functions etc - accepted with notes (see Minutes). DONE.

Bug 24551 current-output-uri() - accepted. DONE (but questions remain).

Bug 24649 guaranteed streamable implies declared streamable. accepted. DONE.

Bug 24651 streamability of accumulator-before/after. accepted. DONE.

Bug 25160 section//head. accepted. DONE.

Bug 26308 true/false as synonym of yes/no. Accepted. DONE.

TELCON 2014-07-17
=================

https://lists.w3.org/Archives/Member/w3c-xsl-wg/2014Jul/0039.html

Add table of posture/sweep combinations (no bugzilla entry).  DONE.

Bug 25517 xsl:mode/@typed - accepted. DONE.

Add an attribute declared-modes = yes |
no on xsl:package, with the meaning that it becomes an error to use a
mode anywhere in the package that has not been declared (including the
default mode). Default to be 'yes'. DONE. Added bug 26438.

Change the definition of streamable
function to specify that if there is no parameter that can take a node
as an argument, then the function is guaranteed streamable, with
posture = grounded. DONE

Bug 24551: Try to develop the idea in ABr's email
https://lists.w3.org/Archives/Member/w3c-xsl-wg/2014Jul/0019.html
write a proposal, and put it in the bug report. DONE

Bug 25316: MK to address the problems found by ABr and
reported in comments on bug 25316, reformulate the proposal, and bring
the proposal back when revised. DONE


TELCON 2014-07-24
=================

Bug 24378. on-empty. Decided to have on-empty only on xsl:element and LREs, and
on xsl:copy but in that case it's ignored except for element nodes. Need to remove
it from xsl:attribute and change the rules for xsl:copy. DONE.

Bug 24543. Issue: can we stream trees not rooted at a document node? Need to
think out all the implications. No decision yet. Wrote an email on the subject (26 July).

Bug 25327. Abel has supplied examples, add them to the spec and close the bug.
DONE.

Bug 25821. Accepted. If a template specifies as="xs:string" then its sequence
constructor doesn't need to be grounded. Affects the rules in 6.6.3. Check whether
there's a similar change needed for streamable functions. DONE, for both templates
and functions. DONE.

Bug 26268. Decided that the focus for xsl:accumulator/@initial-value should be
the root node of the tree to which the accumulator is being applied. Retain the
rule that the initial value expression must be motionless and grounded. DONE.

Bug 26289. Editorial, fix it. DONE.

=====

F2F IBM Hursley 29 July 2014

Bug 24543. Add streamable=yes|no to xsl:global-context-item. DONE.

Bug 24551. current-output-uri(). DONE (5 Sept 2014).

Bug 25174 result-document recoverable=yes|no. DONE
DECISION: the WG agreed in principle with the proposal in comments #4 and #5.
ACTION-2014-07-31-001: MKay to come up with a draft proposal for recoverable="yes|no" on xsl:output and 
xsl:result-document as laid out in comment#4/5 of bug 25174.

Bug 25196. xml-to-json is now an ordinary function. DONE.

Bug 25316. Numeric predicates. Accepted comment 7, DONE.

Bug 25679. Streamable stylesheet Functions. Accepted comment 3. DONE, but there's an outstanding question.

Bug 26328. Accumulators. Resolved on 31 July 2014, subject to detailed textual proposal, 
to extend the definition of "controlling sequence constructor" for accumulator-before/after 
to cover the sequence constructors within xsl:for-each and xsl:iterate, so that streamable 
accumulator functions can be called within these instructions. DONE, but left open, because
the text needs to be carefully reviewed and I included ideas beyond those in the bug resolution.


Bug 26422. Extend definition of package to include implicit packages. DONE.

Bug 26443. Package version syntax. DONE.

Bug 26330. Accumulators on non-document trees. DONE.

Bug 26471. Accumulator rule @new-value replaced by @select and sequence constructor. DONE.

Bug 26477. Error code for failure to locate a used package. DONE.

Telcon 14 Aug 2014
==================

No decisions.

Telcon 21 Aug 2014
==================

26543 - resolved. Circularities involving patterns are an error notwithstanding the rule that 
dynamic errors in patterns are normally masked. DONE

26525 - resolved. Text value templates are permitted in xsl:text in the same way as in text nodes anywhere else (subject to @expand-text).  DONE

26468 - resolved. xsl:stylesheet/transform as a child of xsl:package disappears, it is replaced by its children. DONE.

26444 - schema for xsl:package - can now be handled editorially

26439 - streamability of fn:fold-left - some discussion, captured in bugzilla, though we are still waiting for a proposal to resolve this.

26328 - dynamic constraints on use of accumulator-before and accumulator-after. There was a lot of discussion which was ultimately inconclusive. The rules proposed
were consider too complex for comfort. People would be happy with simpler rules provided any resulting restrictions have a simple workaround, e.g. by binding variables.

25185 - resolved. (Rules for for-each, for-each-group, and iterate when the select expression is crawling). DONE

25174 - resolved. Decided to move the recoverable=yes!no attribute from xsl:result-document to xsl:try (and rename it if anyone can think of a better name). DONE

Telcon 4 Sept 2014
==================

26439 - resolved (streamability of fold-left, for-each, for-each-pair. DONE.

26648 - resolved (edge cases on comparing version numbers). DONE.

26649 - resolved (EBNF for package version syntax). DONE.

26679 - resolved (changes to xsl:accept and xsl:expose errors). DONE.

26680 - resolved (change references to group / grouping-key to merge-group / merge-key. DONE.

Telcon 11 Sept 2014
===================

26328 - streamable accumulators - DONE

26740 - xsl:param/@visibility - DONE

26742 - preceding sibling counters - DONE

26750 - misc typos - DONE

26752 - streamability of some/every - DONE

26762 - broken diff links - DONE

26766 - xsl:merge errors etc - DONE

Integrate Florent's JSON stylesheets - TODO.

=====



Bug 24547 - accepted somewhat tentatively. DONE.

Bug 24512 - streamable stylesheet functions. Amended decision. DONE.


Telcon 16 October 2014
======================

DECISION: Bug #26965 accepted, marked EDITORIAL. DONE.
DECISION: Bug #26997 accepted, MKay to make the necessary modifications. DONE
DECISION: Bug #26999 accepted, MKay to fix the example, the template needs a mode attribute DONE
DECISION: Bug #27011 accepted, MKay to fix the examples DONE
DECISION: Bug #27012, WG agrees to no conversion for xsl:context (local), xsl:global-context-item retains conversion as specified in LCWD. DONE

Telcode 23 October 2014
=======================

>27014   [xslt 3.0] xsl:context-item as="..." use="prohibited"
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27014

Decided to make it a static error; also for xsl:global-context-item. DONE.

>27015   [xslt 3.0] xsl:context-item/@use = "prohibited": detailed wording
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27015

Proposal in bug description accepted.

Comment 1: should it be an error to supply a context item? Or should it
be ignored?

NB. the attribute is "use" so prohibited does not seem to mandate the
non-existence of the context item...

ACTION-2014-10-23-003: Mike Kay to review bug 27015 in view of the
discussion at the telcon.

>27026   [XSLT30] EBNF incompatibility between XP31 MapConstructor and
>XSLT30 MapExpr
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27026

Decided to make them consistent. Mike Kay to review if we can use the
exact productions from XP31. DONE

>27051   [XSLT30] Resolution to bug 25185 introduced a bug in streaming
>rules of xsl:apply-templates
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27051

ACTION-2014-10-23-004: Mike Kay to review bug 27051 to make
xsl:apply-templates select="attribute::* streamable.

>27060   [xslt 3.0] xsl:number level="multiple" start-at="3"
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27060

Decided to be able to specify a list of numbers. Issue about whether it
should be the the "arabic indic" number of the formatted number (e.g. xi).
Decided for the former. And a sequence of integers (space separated).  DONE.

>27061   [xslt 3.0] What should unparsed-entity-uri() do if the base URI of
>the document node is absent?
>https://www.w3.org/Bugs/Public/show_bug.cgi?id=27061

Decided to accept proposal in Comment 2. DONE

>27069  [XSLT30] Function signatures do not include namespace prefix
>  https://www.w3.org/Bugs/Public/show_bug.cgi?id=27069

Decided to always use a prefix if it is not in the "fn" namespace, and
never if it is.

>27125  [XSLT30] Rules of override-extension-functions and xsl:override
>  https://www.w3.org/Bugs/Public/show_bug.cgi?id=27125

Decided to accept the bug and drop the rule. DONE

>27126  [XSLT30] allow fn:root in patterns to match parentless nodes
>  https://www.w3.org/Bugs/Public/show_bug.cgi?id=27126

Awaiting a Mike Kay action item.

Decided to go ahead to make the change. DONE.

27132 https://www.w3.org/Bugs/Public/show_bug.cgi?id=27132

Decided to accept the bug and Mike Kay will fix. DONE.

Bug 27133 - [XSLT30] Editorial: provisional posture is free-ranging ==> should be "roaming"
https://www.w3.org/Bugs/Public/show_bug.cgi?id=27133

Decided to accept the bug and Mike Kay will fix. DONE


Telcon 2014-12-18
=================

�� AGREED to resolve bug 27015 (xsl:context-item/@use) as defined in the proposal of Nov/0013. DONE.

�� AGREED to resolve bug 27051 (@* is streaming) as defined in the proposal of Dec/0021. DONE.

�� AGREED to resolve bug 27189 (replacement for on-empty) as defined in Nov/0027. DONE.

�� AGREED in principle to resolve bug 27258 by adding a new attribute to xsl:output and 
xsl:result-document to indicate whether the raw output should be built into a tree prior to serialization.

�� AGREED: we decided, for now and subject to review, that we would look at the recently 
submitted I18N bugs in XSL WG and make a determination about whether XSL WG should volunteer to lead on proposing a resolution.

� AGREED: to resolve the bug now numbered 27660 (@applies-to) by accepting the proposal 
in Dec0018/Dec0019, with minor changes: non-streaming processors should enforce the rules on accumulator availability; 
and the default for use-accumulators should be "" (meaning none). DONE.


Section 3.4 - XSLT Media Type also applies to package manifests.




2015-01-08
==========

Bug 27258 - Final result trees, terminology. DONE, needs WG review. APPROVED 2015-01-15.

Bug 27624 - Component binding rules for attribute sets. DONE.

Bug 27682 - editorial, modes: template rules can match any item. DONE.

Bug 27806 - Errors in xsl:context-item. DONE.

2015-01-15
==========

Bug 27250 - comment 3 accepted. DONE.

Bug 27668 - (@a, @b) - accepted. DONE.

Bug 27839 - unparsed-entity-X second argument. DONE.

2015-01-29
==========

Bug 27648 - dynamic references to components. DONE.

2015-02-05
==========

Bug 27960 - add clarification for streamability of filter expressions. DONE.

2015-03-05
==========

Bug 27571 - streamability of stylesheet functions. Big one! Mostly done, needs checking, needs change to schema for streamability attribute.

2015-03-12
==========

Bug 28106 static type of P/Q. DONE.
Bug 28153 fn:document DONE.
Bug 28191 - xsl:merge-action. DONE.
Bug 28192 - streamability of "for" - DONE.
Bug 28202 - unparsed-entity streaming - DONE.
Bug 28205 - errors in static expressions - DONE.
ACTION-2015-02-26-002 Orthogonality of posture and sweep - DONE.

2015-04-16
==========

Bug 28129 global context item. Accepted. DONE.
Bug 28215 version syntax. DONE.
Bug 28216 already DONE.
Bug 28224 type-determined usage for union types. DONE.
Bug 28232 declared-modes. DONE.
Bug 28233 consuming-> crawling. DONE.
Bug 28320 accumulator example. DONE.
Bug 28352 static expressions. DONE.
Bug 28357 xsl:param/@visibility. DONE.
Bug 28368 circularities. DONE.

2015-04-23
==========

Bug 28130 xsl:merge and accumulators. Accepted. TODO.
Bug 28154 streamable climbing templates. Accepted. DONE PREVIOUSLY.
Bug 28355 error code 0050. Accepted. DONE.
Bug 28371 error code XTTE0790. Accepted. DONE.
Bug 28418 no effect on spec. Delete test case.
Bug 28462 "Top-level". Accepted. DONE.
Bug 28507 Errors in examples. Accepted. DONE.
Bug 28527. Accepted. DONE.

2015-04-30
==========

Bug 28453 declared-modes. DONE
Bug 28525 attributes of xsl:param. DONE

2015-06-04
==========

Bug 28565 is-id, is-idrefs, nilled. DONE
Bug 28762 focus for merge keys. DONE.
Bug 28763 xsl:assert guards following-sibling instructions. DONE
Bug 28764 error code for xsl:assert. DONE

2015-06-11
==========

Bug 28774 shallow-skip. DONE.

2015-07-02
==========

Bug 28791 Streamability of A!B. DONE.

Bug 28805 Scope of xsl:import-schema. DONE.

2015-07-09
==========

Bug 28865 Categories of instructions. DONE.
Bug 28887 Streamability of xsl:on-empty etc. DONE.
Bug 28933 Assertions off by default. DONE.
Bug 28937 XPath 3.1 maps. Added basic text on lookup operator - need to show how the grammar integrates. Need to change stylesheets to pull in the XPath 3.1 function
specs. Need to change namespace of the JSON-to-XML schema, and handle the way the schema is presented.

and check the minutes...

2015-07-23
==========

Bug 28888 xsl:on-empty (must come last). DONE.

Bug 28989 (newly raised) xsl:conditional-content and empty maps. DONE

Bug 28833 streamability of current(). DONE.

2015-07-30
==========

ACTION 2015-07-30-006: MK to make the spec say, at the appropriate
place (3.5.3.4?) that xsl:original MUST NOT be used as a mode name.
(perhaps under bug 28931). Include as part of changes for 28931.


2015-08-06
==========

No new resolutions.

2015-08-13
==========

Bug 28931 Component binding. DONE.

Bug 29060. Memoization. DONE except for changes to schema-for-xslt30.

2015-08-20
==========

Bug 28989 Rename xsl:conditional-content as xsl:where-populated. DONE

Bug 29067 Prose for declared modes. DONE


2015-09-03
==========

Add packages example

Bug 29084. Agreed. DONE.

Bug 29086. Recoverable errors. DONE.

Bug 29092. Broken links. DONE. 

Bug 28955. xsl:try and xs:error(). DONE.

2015-10-01
==========

Bug 29079. Arrays. DONE.

Bug 29122. Agreed. Was already DONE.

Check for broken link to "deterministic".  

2015-10-08
==========

Bug 29088. Agreed. DONE.

Bug 29092. Agreed. DONE.

Bug 29094. Agreed. DONE.

Bug 29109. Agreed (with proviso). DONE.

Bug 29113. Agreed (already DONE).

Bug 29150. Agreed comment #5. DONE.

Bug 29162. Agreed. DONE.

Bug 29178. Agreed. DONE.

2015-10-15
==========

Bug 29142. Agreed in principle. Changes applied, but remains open.

Bug 29153. Agreed in principle. Changes applied, but remains open.

Bug 29162. Closed as duplicate of 29153.

Bug 29206. Agreed in principle. Changes applied, but remains open.

2015-10-22
==========

Bug 29142. Changes accepted, already applied.

Bug 29120. Agreed, closed. DONE.

Bug 29209. Agreed, closed. DONE.

Bug 29210. Agreed, closed. DONE.

Bug 29221. Agreed, closed. DONE.

Bug 29229. Not yet agreed, but DONE anyway.

2015-10-29
==========

Bug 29226, Empty {} in AVTs, Agreed, DONE.

Bug 29242. Overriding parameters. Agreed, DONE.

Bug 29252. Raised, resolved, and added. DONE.

Bug 29184: fn:string-join accepts anyAtomicType. DONE.


2016-01-14
==========

Bug 29256 - xsl:accept - Agreed. DONE.

Bug 29340 - editorial - production rule references. DONE.

Bug 29351 - xsl:evaluate error code. Agreed. DONE.


2016-02-15
==========

Bug 29234 - changes agreed, DONE.

Bug 29340 - changes agreed, DONE.

Bug 29375 - retrospective entry in change log. DONE.

Bug 29387 - typo in title. DONE.

Bug 29425 - method and json-node-output-method should be AVTs. DONE.

Bug 29379 - initial mode must be public - promoted to a spec bug. Check status. DONE.

Bug 29392 - serialize and serialization feature = changes agreed, DONE.

Bug 29434 / 29455 - on-empty. Proposal pending.

Bug 29436 - changes agreed, DONE.

Bug 29441 - changes agreed, DONE.

Bug 29442 - Proposal written.

Bug 29445 - changes agreed, DONE.

Bug 29449 - changes agreed, DONE.

Bug 29453 - changes agreed, DONE.

Bug 29459 - changes agreed, DONE.

Bug 29460 - changes agreed, DONE.

Bug 29461 - proposal written.

Bug 29468 - changes agreed, DONE.

Bug 29473 - changes agreed, DONE.

Bug 29474 - changes agreed, DONE.

Bug 29475 - changes agreed, DUPLICATE.

Bug 29478 - proposal written.


25 Feb 2016
===========

Bug 29442 - accepted subject to change in term "raw result"

03 March 2016
=============

Bug 29431 - accepted - DONE

31 March 2016
=============

Bug 29431 - accepted again! And revised.

Bug 29455 - accepted. DONE.

Bug 29461 - accepted. DONE.

Bug 29544 - accepted. DONE.

7 April 2016
============

Bug 29507 - accepted proposal in comment 3. DONE.

14 April 2016
=============

Bug 29478 - accepted. DONE.

Bug 29558 - accepted (editorial). DONE.

Bug 29502 - streamability of xsl:fork. DONE.


26 May 2016
===========
Bug 29675 - context item static type in global var decl.  DONE.

Bug 29686 - tighter wording for xsl:override compatibility. DONE.

02 June 2016
============

CHECK

09 June 2016
============

Bug 29690: accepted, but check interaction with 29472. TODO.

Bug 29686: action on MHK to produce detailed wording.

Bug 29675: accepted, DONE.

16/23 June 2016
===============

Bug 29692: whitespace stripping. New text proposed and applied, awaiting WG approval.

Bug 29686: Done. Failed to update bugzilla (bugzilla crashed) attempting to add the message:

The WG discussed this on 23 June 2016. I was given an action to add a note going into more detail about the consequences of the rule on "identical" types, which I have done as follows:

<p>
Consider a function that accepts an argument whose declared type is a union type with member types <code>xs:double</code> and <code>xs:decimal</code>, in that order (we might write this as <code>union(xs:double, xs:decimal)</code>). Using the same notation, this can be overridden by a function that declares the argument type as <code>union(xs:decimal, xs:double)</code>. This does not affect type checking: a a function call that passes the type checking rules with one signature will also pass the type checking rules with the other. It does however affect the way that the function conversion rules work: a call that passes the <code>xs:untypedAtomic</code> value <code>"93.7"</code> (or an untyped node with this as its string value) will be converted to an <code>xs:decimal</code> in one case and an <code>xs:double</code> in the other.
</p>

Bug 29696: agreed. DONE.




